Oracle Linux 5:php (ELSA-2013-1814)

critical Nessus Plugin ID 71367
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2013:1814:

現已提供適用於 Red Hat Enterprise Linux 5 的更新版 php 套件,可修正多個安全性問題。

Red Hat 安全性回應團隊已將此更新評為具有重大安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

PHP 是一種內嵌 HTML 的指令碼語言,通常用於 Apache HTTP Server。

在 PHP openssl 延伸模組之 openssl_x509_parse() 函式剖析 X.509 憑證的方式中發現記憶體損毀瑕疵。遠端攻擊者可利用此瑕疵,使用上述函式向 PHP 應用程式提供惡意的自我簽署憑證,或是受信任授權單位簽署的憑證,進而造成應用程式損毀,或可能允許攻擊者藉由執行 PHP 解譯器的使用者權限來執行任意程式碼。
(CVE-2013-6420)

據發現,PHP 並未檢查 HTTP 標頭中的歸位字元,從而允許繞過預定的 HTTP 回應分割保護。視受害者所使用的網頁瀏覽器而定,遠端攻擊者可利用此瑕疵,執行 HTTP 回應分割攻擊。(CVE-2011-1398)

在 PHP scandir() 函式中發現一個會導致堆積型緩衝區反向溢位的整數正負號問題。遠端攻擊者若能上傳過量的檔案至執行 scandir() 函式的目錄,便可造成 PHP 解譯器當機,或可能執行任意程式碼。(CVE-2012-2688)

據發現,PHP SOAP 剖析器允許在 SOAP 訊息剖析過程中,擴充外部 XML 實體。遠端攻擊者可能利用此瑕疵,讀取可供使用 SOAP 延伸模組之 PHP 應用程式存取的任意檔案。
(CVE-2013-1643)

Red Hat 要感謝 PHP 專案報告 CVE-2013-6420。上游確認 Stefan Esser 為原始報告者。

建議所有 php 使用者皆升級至這些更新版套件,其中包含可更正這些問題的反向移植修補程式。安裝更新版套件後,必須先重新啟動 httpd 程序,更新才會生效。

解決方案

更新受影響的 php 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2013-December/003868.html

Plugin 詳細資訊

嚴重性: Critical

ID: 71367

檔案名稱: oraclelinux_ELSA-2013-1814.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2013/12/12

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 7.8

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:POC/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:php, p-cpe:/a:oracle:linux:php-bcmath, p-cpe:/a:oracle:linux:php-cli, p-cpe:/a:oracle:linux:php-common, p-cpe:/a:oracle:linux:php-dba, p-cpe:/a:oracle:linux:php-devel, p-cpe:/a:oracle:linux:php-gd, p-cpe:/a:oracle:linux:php-imap, p-cpe:/a:oracle:linux:php-ldap, p-cpe:/a:oracle:linux:php-mbstring, p-cpe:/a:oracle:linux:php-mysql, p-cpe:/a:oracle:linux:php-ncurses, p-cpe:/a:oracle:linux:php-odbc, p-cpe:/a:oracle:linux:php-pdo, p-cpe:/a:oracle:linux:php-pgsql, p-cpe:/a:oracle:linux:php-snmp, p-cpe:/a:oracle:linux:php-soap, p-cpe:/a:oracle:linux:php-xml, p-cpe:/a:oracle:linux:php-xmlrpc, cpe:/o:oracle:linux:5

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2013/12/11

弱點發布日期: 2012/7/20

參考資訊

CVE: CVE-2011-1398, CVE-2012-2688, CVE-2013-1643, CVE-2013-6420

BID: 54638, 55297, 58766

RHSA: 2013:1814